Bug 39608 - CONFIG_REISERFS_CHECK is on
CONFIG_REISERFS_CHECK is on
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
univ.uoradea.ro
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-08 07:03 EDT by Marius Onica
Modified: 2007-03-26 23:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-08 07:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Onica 2001-05-08 07:03:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
reiserfs:warning: CONFIG_REISERFS_CHECK is set ON
reiserfs:warning: - it is slow mode for debugging.

How reproducible:
Always

Steps to Reproduce:
1.boot with preloading the reiserfs  module
2.
3.
	

Additional info:
Comment 1 Arjan van de Ven 2001-05-08 07:10:04 EDT
This is on purpose. Reiserfs is not stable yet, and enabling debugging will
catch filesystemcorruption before you totally loose all your data.
Comment 2 Jackie Meese 2001-07-25 10:26:23 EDT
not stable by who'se definition?  There's a reason it's the only JFS in the 2.4
kernel.  It's been around for years, and is the only production level JFS in
availalbe for linux.  

Maybe a patch is in order to produce two versions of the module - one with debug
and one without.
Comment 3 Arjan van de Ven 2001-07-30 10:42:53 EDT
Until recently, about 1 corruptor bug was found in reiserfs about every 2 weeks.
Also, and more importantly, the fsck for reiserfs was not very good at the time
we released 7.1. 

"Been around for years" isn't completely honest; the 2.2 version is very very
different from the 2.4 one. 

I'm not saying this to indicate the reiserfs people did a bad job, they didn't.
However at the time of the 7.1 release reiserfs just wasn't ready. And even
current reiserfs has significant issues (doesn't work on big-endian machines,
doesn't work on 64 bit machines)


Note You need to log in before you can comment on or make changes to this bug.